// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'
import 'element-ui/lib/theme-chalk/base.css';
import CollapseTransition from 'element-ui/lib/transitions/collapse-transition';
import ElementUI from 'element-ui'
import uploader from 'vue-simple-uploader'
import 'element-ui/lib/theme-chalk/index.css'
import './framework/style/awesome.less'
Vue.use(uploader)
Vue.use(ElementUI, { size: "small", zIndex: 1000 })

Vue.component(CollapseTransition.name, CollapseTransition)
import './framework/style/layout.scss'

import '@/assets/style/style.scss'
import '@/assets/style/iconfont/iconfont.css'
import './utils/scan/directive' //自定义指令

import componentsPlugin from '@/framework/plugins/components'
Vue.use(componentsPlugin)

import elCascaderMulti from "el-cascader-multi";
Vue.use(elCascaderMulti); //级联多选

Vue.config.productionTip = false
Vue.config.devtools = true;
/* eslint-disable no-new */
new Vue({
    el: '#app',
    router,
    store,
    components: { App },
    template: '<App/>'
})
